    ! Description:
    ! Declaration for the Software to create  alibrary to compute high spectral resolution emissivity spectra
    !
    ! History:
    ! Version   Date     Comment
    ! -------   ----     -------
    !  0.6       05/11/2016  Original code E Borbas UW-Madison/CIMSS
    !  1.0(r04)07/11/2018  modified for adding Version 9 and 11 lab datasets 
    !  1.0(r07)08/20/2018  update for adding Version 9 and 11 lab datasets 
    !


       INTEGER, PARAMETER :: nb_lats=3600
       INTEGER, PARAMETER :: nb_lons=7200
       INTEGER, PARAMETER :: max_npcs=13
       INTEGER, PARAMETER :: wout_npcs=9
       INTEGER, PARAMETER :: numwave=417   
       INTEGER, PARAMETER :: gridres = 50     ! 0.05 deg
       INTEGER, PARAMETER :: ygrid1 = 89975    ! 89.95 deg
       INTEGER, PARAMETER :: xgrid1 = -179975  ! -179.95 deg
       INTEGER, PARAMETER :: max_nmask = nb_lats*nb_lons/2 
       REAL,PARAMETER :: pca_sfac=1.  
       REAL,PARAMETER :: pca_offs= 0.
       REAL, PARAMETER :: snow_scale_factor=0.01
       REAL, PARAMETER :: hkod=-999. 
       
       Character (len=300) ::  path_camel, path_lab
       Character (len=300) :: fn_coef

       INTEGER :: nmask 
       INTEGER  :: instr_emis_flag
       INTEGER :: labvs, npcs
       REAL :: snow_frac 
       REAL :: coeff(wout_npcs)
  
       INTEGER*2  :: camel_qflag(nb_lons,nb_lats) 

       INTEGER*2  :: pc_labvs(max_nmask)
       INTEGER*2  :: pc_npcs(max_nmask)
       Integer*2  :: snowf(max_nmask)
       Real  ::   pcacoefs(wout_npcs,max_nmask)
        
       REAL :: hsr_wavenum(numwave)
       
       REAL  :: pcm_hsr_v8(numwave),pcm_hsr_v10(numwave),pcm_hsr_v12(numwave)
       REAL  :: pc_hsr_v8(numwave,numwave),pc_hsr_v10(numwave,numwave),pc_hsr_v12(numwave,numwave)
       REAL  :: pcm_hsr_v9(numwave),pcm_hsr_v11(numwave)
       REAL  :: pc_hsr_v9(numwave,numwave),pc_hsr_v11(numwave,numwave)
 
       INTEGER :: coef_lut(nb_lons,nb_lats)   
  
       Logical coef_opt
       parameter(coef_opt=.true.)
     
        DATA path_camel/'../data/'/
        DATA path_lab/'../coef/'/
            
       common/labpcs/pcm_hsr_v8,pcm_hsr_v9,pcm_hsr_v10,pcm_hsr_v11,pcm_hsr_v12,
     &               pc_hsr_v8,pc_hsr_v9,pc_hsr_v10,pc_hsr_v11,pc_hsr_v12,
     &               coef_lut,hsr_wavenum,
     &               pc_labvs, pc_npcs, snowf,pcacoefs
      
c-----------------------------
c     Software version and relaease date.

c     software version 
      character*6 prd_version
      character*4 LP_DAAC_Version
      parameter (prd_version = 'v02r01')
      parameter (LP_DAAC_Version = 'V002')

c     software release date 
      character*10 release_date
      parameter (release_date = '2018-10-09')
c-----------------------------
