      SUBROUTINE  read_CAMEL_coef_qflag(fn_coef,camel_qflag)

    ! Description:
    ! read the quality flag from the 0.05 degree resolution MEASURES CAMEL Coefficient file
    ! into memory. 
    ! 
    ! History:
    ! Version   Date     Comment
    ! -------   ----     -------
    !   V0.6    07/2016  adapted for the CAMEL HSR Algorithm V0.6
    !   V1.0    01/2017  adapted for the CAMEL HSR Algorithm V1.0
    !
    ! Code Description:
    !   Language:           Fortran 90.
    !
    ! Declarations:
    ! Modules used:

       Implicit none
      
       include 'hsriremis_EDR.inc'
       include 'netcdf.inc'
        SAVE
      
    ! Define Variables.

      Integer*4 :: nvars     ! number of variables
      Integer*4 :: ndims     ! number of dimensions
      Integer*4 :: errstat   ! error code
      Integer*4 :: recdim    ! record dimension
      Integer*4 :: nc_dim(4) !  lats, lons,hng_pnt, pack_leng
        
      Integer    :: i,j,k,l, eline
      Integer*4 :: ncid, ngatts, nrecs, varid,varid2
           
      Character (len=1024) :: strbuf ! string buffer for var
      Character (len=6)    :: cfld 

    ! Open netCDF file.
      errstat = nf_open(Trim(fn_coef),nf_nowrite,ncid)
          if(errstat .lt. 0) then
            write(*,'(''Cannot open CAMEL coef cdf file '',20a)') fn_coef
	    stop
          end if
      
      !      write(*,*) 'errstat, ncid=', errstat, ncid
    
    ! Get info on the record dimension for this file. 
      errstat = nf_inq(ncid,ndims,nvars,ngatts,recdim)
         
      Do i=1,ndims
        errstat = nf_inq_dim(ncid,i,strbuf,nrecs)
        nc_dim(i) = nrecs
      End Do
            
!----------------------------------------------------   	  
    ! Retrieve emissivity database flag value
!----------------------------------------------------   
      errstat = nf_inq_varid (ncid, 'camel_qflag', varid)
      errstat = nf_get_var_int2(ncid,varid,camel_qflag)
      
!      emis_qflag = int(emis_fl)
!       emis_qflag = emis_fl
       write(*,*) 'in read_CAMEL_coef_qflag =',camel_qflag(3905,2285)
       
      
      errstat = nf_close(ncid)

      END SUBROUTINE read_CAMEL_coef_qflag













